## IdeWorker IdeWorker |

## Functions

GDBusProxy * | ide_worker_create_proxy ()
void | ide_worker_register_service ()

## Types and Values

#define | IDE_TYPE_WORKER
struct | IdeWorkerInterface
| IdeWorker

## Object Hierarchy

        GInterface
        ╰── IdeWorker

## Prerequisites

IdeWorker requires GObject.

## Description

## Functions

### ide_worker_create_proxy ()

    GDBusProxy *
    ide_worker_create_proxy (IdeWorker *self,
                             GDBusConnection *connection,
                             GError **error);

Creates a new proxy to be connected to the subprocess peer on the other end of `connection` .

#### Parameters

self | An IdeWorker. |
connection | a GDBusConnection connected to the worker process. |
error | a location for a GError, or `NULL`. | [allow-none]

#### Returns

a GDBusProxy or `NULL`.

[transfer full]

Since: 3.32

### ide_worker_register_service ()

    void
    ide_worker_register_service (IdeWorker *self,
                                 GDBusConnection *connection);

## Types and Values

### IDE_TYPE_WORKER

    #define IDE_TYPE_WORKER (ide_worker_get_type ())

### struct IdeWorkerInterface

    struct IdeWorkerInterface {
      GTypeInterface parent;

      GDBusProxy *(*create_proxy)     (IdeWorker        *self,
                                       GDBusConnection  *connection,
                                       GError          **error);
      void        (*register_service) (IdeWorker        *self,
                                       GDBusConnection  *connection);
    };

### IdeWorker

    typedef struct _IdeWorker IdeWorker;